List events
curl --request GET \
--url https://api.redbark.com/v2/events \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/events"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "evt_2Hj4Kl6mNp8qRs0tUv2wXy",
"object": "event",
"type": "<string>",
"created": "2026-08-21T09:30:00.000Z",
"livemode": true,
"reason": {
"type": "request",
"request": {
"id": "<string>",
"idempotency_key": "<string>"
}
},
"related_object": {
"id": "<string>",
"type": "<string>",
"url": "<string>"
},
"data": {},
"changes": {},
"deliveries": [
{
"id": "<string>",
"event_destination": "<string>",
"status": "pending",
"attempts": 123,
"next_attempt_at": "2026-08-21T09:30:00.000Z",
"last_attempt_at": "2026-08-21T09:30:00.000Z",
"last_status_code": 123,
"last_error": "<string>"
}
]
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Events
List events
The last 30 days of events for resources this key can read, newest first. Filter with type[]= (exact types or families like sync_run.*).
GET
/
events
List events
curl --request GET \
--url https://api.redbark.com/v2/events \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/events"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "evt_2Hj4Kl6mNp8qRs0tUv2wXy",
"object": "event",
"type": "<string>",
"created": "2026-08-21T09:30:00.000Z",
"livemode": true,
"reason": {
"type": "request",
"request": {
"id": "<string>",
"idempotency_key": "<string>"
}
},
"related_object": {
"id": "<string>",
"type": "<string>",
"url": "<string>"
},
"data": {},
"changes": {},
"deliveries": [
{
"id": "<string>",
"event_destination": "<string>",
"status": "pending",
"attempts": 123,
"next_attempt_at": "2026-08-21T09:30:00.000Z",
"last_attempt_at": "2026-08-21T09:30:00.000Z",
"last_status_code": 123,
"last_error": "<string>"
}
]
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Query Parameters
1 to 100, default 20. Ignored when page is set.
Opaque token from next_page_url / previous_page_url.
Filter by event type or family (e.g. sync_run.*); repeat with type[]= for several
Filter to events about this object id (connection, sync, sync_run, destination, category, event_destination or account_item)
⌘I